package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.distributed.print.business.entity.TBSyncTask;
import com.qmth.teachcloud.common.entity.SysUser;

import java.util.List;

/**
 * 同步数据到云阅卷 服务类
 */
public interface DataSyncService {
    void syncExamAndStudentAndCard(String orgCode, String thirdRelateName, String examTime, List<TBSyncTask> tbSyncTaskList, SysUser sysUser);

    void syncPaperStructureAndGroup(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncPaperAndAnswer(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncObjectiveStructure(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncMarkLeader(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncMarkerAndClass(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    Long saveExam(Long schoolId, Long objectId, String orgCode, Long thirdRelateId, String thirdRelateName, String examTime);

    Integer saveSchool(Long schoolId, String orgCode, String orgName);
}
